Class {
	#name : #GrafoscopioPillarToTextDecorator,
	#superclass : #Object,
	#instVars : [
		'pillarNode'
	],
	#category : #'Grafoscopio-Pillar'
}

{ #category : #'instance creation' }
GrafoscopioPillarToTextDecorator class >> on: aGFPillarNode [
	^ self new
		pillarNode: aGFPillarNode;
		yourself
]

{ #category : #'as yet unclassified' }
GrafoscopioPillarToTextDecorator >> name [
	^ pillarNode name 
]

{ #category : #accessing }
GrafoscopioPillarToTextDecorator >> pillarNode: aNode [
	pillarNode := aNode
]

{ #category : #accessing }
GrafoscopioPillarToTextDecorator >> text [
	^ pillarNode text pillarText
]

{ #category : #accessing }
GrafoscopioPillarToTextDecorator >> text: aText [
	| parsed |
	parsed := PRPillarParser parse: aText.
	^ pillarNode text ast: parsed
]
