Class {
	#name : #GrafoscopioPillarNode,
	#superclass : #GrafoscopioLeafNode,
	#instVars : [
		'ast',
		'astText'
	],
	#category : #'Grafoscopio-Model'
}

{ #category : #testing }
GrafoscopioPillarNode class >> icon [
	^ self iconNamed: #workspace
]

{ #category : #testing }
GrafoscopioPillarNode class >> nameForSelection [
	^  'New Pillar node'
]

{ #category : #testing }
GrafoscopioPillarNode class >> showInMenu [
	^ true 
]

{ #category : #accessing }
GrafoscopioPillarNode >> acceptVisitor: aGrafoscopioVisitor [
	aGrafoscopioVisitor visitPillarNode: self.
	
]

{ #category : #accessing }
GrafoscopioPillarNode >> text [
	^ astText
]

{ #category : #accessing }
GrafoscopioPillarNode >> text: anAst [
	astText := anAst
]
