Class {
	#name : #GrafoscopioViewportRichTextVisitor,
	#superclass : #GrafoscopioViewportTextVisitor,
	#category : #'Grafoscopio-New-UI'
}

{ #category : #'as yet unclassified' }
GrafoscopioViewportRichTextVisitor >> visitPillarNode: aNode [
	self
		showPageFor: aNode
		ifProviderDoestExistInstall: [ | text |
			text := presenter instantiate: GrafoscopioNewTextModel on: aNode.
			text
				contextMenuFromCommandsGroup: [ presenter rootCommandsGroup / 'Context Menu' ].
			text
				onModifyNodeLocationDo: [ presenter informNodeHasChanged: aNode ].
			text ]
]
